import { Contract, Signer, ContractTransactionResponse } from 'ethers';
import { CurrencyInfo } from '../types';
export declare class Currency {
    private contract;
    private info?;
    constructor(_contract: Contract);
    static initialize(_address: string, _signer: Signer): Promise<Currency>;
    getInfo(): Promise<CurrencyInfo>;
    /**
     * Approve Spending
     *
     * @param _spender  The address of the market contract
     * @param _amount The amount as a human-readable decimal
     * @returns The transaction response
     */
    approveSpending(_spender: string, _amount: number): Promise<ContractTransactionResponse>;
}
