import { Contract, Signer, ContractTransactionResponse } from 'ethers';
import { CurrencyInfo, MarketInfo, Skew, Value } from '../types';
import { CurrencySymbol, Direction } from '../enums';
import { Currency } from './currency';
export declare class Market {
    private contract;
    private signer;
    private metadata?;
    constructor(_contract: Contract, _signer: Signer);
    static initialize(_address: string, _signer: Signer): Promise<Market>;
    getInfo(): Promise<MarketInfo>;
    getMetadata(force?: boolean): Promise<any>;
    getAddress(): Promise<string>;
    getReferenceValue(_currencyInfo: CurrencyInfo): Promise<Value>;
    getReferenceValues(): Promise<any>;
    getSkew(): Promise<Skew>;
    getCurrencyInfo(_address: string | CurrencySymbol): Promise<CurrencyInfo>;
    getPositionValue(_positionId: number): Promise<Value>;
    closePosition(_positionId: number): Promise<ContractTransactionResponse>;
    openPosition(_direction: Direction, _currency: Currency, _amount: number): Promise<ContractTransactionResponse[]>;
    commitValueTransfer(): Promise<ContractTransactionResponse>;
}
